Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class AbstractSeriesDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset

Direct Known Subclasses:
  AbstractXYDataset, DefaultIntervalCategoryDataset, TaskSeriesCollection

public abstract class AbstractSeriesDataset
extends AbstractDataset
implements SeriesDataset, SeriesChangeListener, java.io.Serializable

An abstract implementation of the `SeriesDataset` interface, containing a mechanism for registering change listeners.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractSeriesDataset()` Creates a new dataset.

Method Summary
`abstract int` | `getSeriesCount()` Returns the number of series in the dataset.
`abstract java.lang.String` | `getSeriesName(int series)` Returns the name of a series.
`void` | `seriesChanged(SeriesChangeEvent event)` Called when a series belonging to the dataset changes.

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### AbstractSeriesDataset

    protected AbstractSeriesDataset()

  Creates a new dataset.

Method Detail

### getSeriesCount

    public abstract int getSeriesCount()

  Returns the number of series in the dataset.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Returns:
    The series count.

### getSeriesName

    public abstract java.lang.String getSeriesName(int series)

  Returns the name of a series.

  Specified by:
    `getSeriesName` in interface `SeriesDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The series name.

### seriesChanged

    public void seriesChanged(SeriesChangeEvent event)

  Called when a series belonging to the dataset changes.

  Specified by:
    `seriesChanged` in interface `SeriesChangeListener`
  Parameters:
    `event` - information about the change.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD